Межсайтовый скриптинг в Magento

Дата публикации:
02.03.2009
Всего просмотров:
2141
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Magento 1.x
Уязвимые версии: Magento 1.2.1.1 и более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов. Удаленный пользователь может произвести CSRF нападение и удалить учетные записи пользователей или изменить данные о продуктах.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "login[username]" в сценарии app/code/core/Mage/Admin/Model/Session.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "email" в сценарии app/code/core/Mage/Adminhtml/controllers/IndexController.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

4. Уязвимость существует из-за недостаточной обработки входных данных в URL. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.magentocommerce.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA